Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Publish Template

Put a graph on the shelf the team starts from. Any graph, yours or not — it is copied and stays where it is — and publishing the same one again refreshes its template in place.

POST/api/v1/graphs/{graph_id}/template
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Path parameters
graph_idstringrequired
Request body
requiredapplication/json
namestringrequired
min length 1 · max length 200
descriptionstring
default: ""
Responses
200Successful Response
successboolean
default: true
dataNodeGraph | any
Show properties
Any of:
NodeGraph
idstring
namestringrequired
descriptionstring
default: ""
definitionobject
ui_stateobject
forked_fromstring | any
Show properties
Any of:
string
string
any
any
templateboolean
default: false
owner_idstringrequired
created_atstring<date-time>
updated_atstring<date-time>
deleted_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST "/api/v1/graphs/string/template" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": ""
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "description": "",
    "definition": {},
    "ui_state": {},
    "forked_from": "string",
    "template": false,
    "owner_id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z"
  },
  "message": "string",
  "errors": [
    "string"
  ]
}